import java.awt.Color;

import org.lekan.graphics.SGEllipse;


public class Destination extends Node {

private static final String DEF_NAME = "";
private static final Color DEST_COLOR = Color.RED;
public static final int RADIUS = 3;
private String name;
private int destIndex;
 
	public Destination(int xPos, int yPos, String name, int destIndex, int nodeIndex) {
		this.xPos = xPos;
		this.yPos = yPos;
		this.name = name;
		this.destIndex = destIndex;
		this.nodeIndex = nodeIndex;
	}
	
	public Destination(int xPos, int yPos, int destIndex, int nodeIndex) {
		this.xPos = xPos;
		this.yPos = yPos;
		this.name = DEF_NAME;
		this.destIndex = destIndex;
		this.nodeIndex = nodeIndex;
	}
	
	public SGEllipse getShape() {
		return new SGEllipse(xPos, yPos, RADIUS, RADIUS, DEST_COLOR);
	}
	
	public int getDestIndex() {
		return destIndex;
	}
	
	public String getName() {
		return name;
	}

	public boolean hasName() {
		return !name.equals("");
	}
}
