import java.awt.Color;

import org.lekan.graphics.SGEllipse;


public class Waypoint extends Node {
	
public static final int RADIUS = 2;
private static final Color WP_COLOR = Color.BLUE;
private int wpIndex;
	
	public Waypoint(int xPos, int yPos, int wpIndex, int nodeIndex) {
		this.xPos = xPos;
		this.yPos = yPos;
		this.wpIndex = wpIndex;
		this.nodeIndex = nodeIndex;
	}
	
	public int getWpIndex() {
		return wpIndex;
	}

	public SGEllipse getShape() {
		return new SGEllipse(xPos, yPos, RADIUS, RADIUS, WP_COLOR);
	}
}
